Package ghidra.framework.store

# Enum Class CheckoutType

java.lang.Object
java.lang.Enum<CheckoutType>
ghidra.framework.store.CheckoutType

All Implemented Interfaces:
  `Serializable`, `Comparable<CheckoutType>`, `Constable`

public enum CheckoutType extends Enum<CheckoutType>
`ChecoutType` identifies the type of checkout

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXCLUSIVE`
  Checkout is a persistent exclusive checkout which ensures no other checkout can occur while this checkout persists.
  `NORMAL`
  Checkout is a normal non-exclusive checkout
  `TRANSIENT`
  Similar to an EXCLUSIVE checkout, this checkout only persists while the associated client-connection is alive.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `serialVersionUID`
  Rely on standard Java serialization for enum If the above enum naming/order is changed, the server interface version must be changed

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CheckoutType`
  `getCheckoutType(int typeID)`
  Get the CheckoutType whose name corresponds to the specified ID
  `int`
  `getID()`
  Get the abbreviated/short name for this checkout type for use with serialization.
  `static CheckoutType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CheckoutType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final CheckoutType NORMAL
    Checkout is a normal non-exclusive checkout

  - ### EXCLUSIVE

    public static final CheckoutType EXCLUSIVE
    Checkout is a persistent exclusive checkout which ensures no other checkout can occur while this checkout persists.

  - ### TRANSIENT

    public static final CheckoutType TRANSIENT
    Similar to an EXCLUSIVE checkout, this checkout only persists while the associated client-connection is alive. This checkout is only permitted for remote versioned file systems which support its use.

- ## Field Details

  - ### serialVersionUID

    public static final long serialVersionUID
    Rely on standard Java serialization for enum If the above enum naming/order is changed, the server interface version must be changed
    See Also:
      - `GhidraServerHandle`
      - Constant Field Values

- ## Method Details

  - ### values

    public static CheckoutType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CheckoutType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getID

    public int getID()
    Get the abbreviated/short name for this checkout type for use with serialization.
    Returns:
      short name

  - ### getCheckoutType

    public static CheckoutType getCheckoutType(int typeID)
    Get the CheckoutType whose name corresponds to the specified ID
    Parameters:
      `typeID` - checkout type ID
    Returns:
      CheckoutType of null if ID is invalid